#!/usr/bin/python3

import sys
import notmuch

query_string = sys.argv[1] if len(sys.argv) > 1 else 'tag:inbox or tag:spam'
tag_string = sys.argv[2] if len(sys.argv) > 2 else 'spam'

database = notmuch.Database(mode=notmuch.Database.MODE.READ_ONLY)
query = notmuch.Query(database, query_string)

print("{} messages".format(query.count_messages()))
print("{} messages".format(query.count_messages()))
print("Exclude '{}'".format(tag_string))
query.exclude_tag(tag_string)
print("{} messages".format(query.count_messages()))
print("{} messages".format(query.count_messages()))
del database
